Skip to main content
`Ctrl`+`K`

# TSGetRHSJacobian

Returns the Jacobian J at the present timestep.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetRHSJacobian(TS ts, Mat *Amat, Mat *Pmat, TSRHSJacobianFn **func, PetscCtxRt ctx)

Not Collective, but parallel objects are returned if ts is parallel

## Input Parameter

- ts - The `TS` context obtained from `TSCreate()`

## Output Parameters

- Amat - The (approximate) Jacobian J of G, where U_t = G(U,t) (or `NULL`)

- Pmat - The matrix from which the preconditioner is constructed, usually the same as `Amat` (or `NULL`)

- func - Function to compute the Jacobian of the RHS (or `NULL`)

- ctx - User-defined context for Jacobian evaluation routine (or `NULL`)

## Note

You can pass in `NULL` for any return argument you do not need.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetTimeStep()`, `TSGetMatrices()`, `TSGetTime()`, `TSGetStepNumber()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex4.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages